"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GradientDiv = void 0;
var react_1 = __importStar(require("react"));
var lodash_1 = require("lodash");
var react_resize_detector_1 = require("react-resize-detector");
var GradientDiv = function (props) {
    var children = props.children, tooltip = props.tooltip, style = props.style;
    var _a = (0, react_resize_detector_1.useResizeDetector)(), width = _a.width, height = _a.height, ref = _a.ref;
    var _b = (0, react_1.useState)(false), isOverflowX = _b[0], setIsOverflowX = _b[1];
    var className = props.className ? props.className : "";
    var alignment = props.alignment == "right" ? "right" : "left";
    var gradientAreaWidth = !(0, lodash_1.isNil)(props.gradientAreaWidth) && (0, lodash_1.isInteger)(props.gradientAreaWidth) && props.gradientAreaWidth > 20 ? props.gradientAreaWidth : !(0, lodash_1.isNil)(width) ? width : "20%";
    var gradientStages = props.gradientStages ? props.gradientStages : [65, 75, 85];
    var rgb = props.gradientColorRGB ? props.gradientColorRGB : { r: 255, g: 255, b: 255 };
    (0, react_1.useEffect)(function () {
        var overflow = ref.current.scrollWidth - ref.current.clientWidth > 0;
        if (isOverflowX != overflow && props.onChangeOverflow)
            props.onChangeOverflow(overflow);
        setIsOverflowX(overflow);
    }, [width, children]);
    return (react_1.default.createElement("div", { ref: ref, style: style, title: isOverflowX && tooltip ? tooltip : "", className: "gradient-div w-full relative whitespace-nowrap overflow-hidden grid ".concat(alignment == "right" && !isOverflowX ? "text-right" : "text-left", " ").concat(className) },
        children,
        isOverflowX && (react_1.default.createElement("div", { className: "absolute gradient-div-tail", style: {
                height: height,
                top: 0,
                right: 0,
                width: gradientAreaWidth,
                background: "linear-gradient(90deg, rgba(".concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, ",0) 0%, rgba(").concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, ",0.25) ").concat(gradientStages[0], "%, rgba(").concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, ",0.5) ").concat(gradientStages[1], "%, rgba(").concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, ",0.75) ").concat(gradientStages[2], "%, rgb(").concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, "))")
            } }))));
};
exports.GradientDiv = GradientDiv;
exports.default = exports.GradientDiv;
//# sourceMappingURL=gradient-div.js.map