"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
// 
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeadMenuMobileView = void 0;
var react_1 = __importDefault(require("react"));
var lodash_1 = require("lodash");
var menu_items_1 = __importDefault(require("./menu-items"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var HeadMenuMobileView = function (props) {
    var navigation = props.navigation;
    return react_1.default.createElement("div", { className: "overflow-y-auto h-full" }, (0, lodash_1.map)(navigation, function (menu, mIdx) {
        var hasSections = (0, lodash_1.isArray)(menu.sections) && menu.sections.length > 0;
        var lastMenu = mIdx == navigation.length - 1;
        return react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", { className: "py-6 px-6 text-lg font-medium mb-0 ".concat(!(lastMenu && !hasSections) ? 'border-b' : '') }, (0, primeobjects_helper_util_1.isNonEmptyString)(menu.href) ? react_1.default.createElement("a", { href: menu.href }, menu.title) : react_1.default.createElement("span", null, menu.title)),
            hasSections && (0, lodash_1.map)(menu.sections, function (section, sIndex) {
                return react_1.default.createElement("div", { key: "".concat(mIdx, "-").concat(sIndex), className: "pb-6 px-5 space-y-6" },
                    react_1.default.createElement("div", { className: "mt-6" },
                        react_1.default.createElement("nav", { className: "grid gap-y-8" },
                            react_1.default.createElement(menu_items_1.default, __assign({ mobileView: true, title: section.title }, section)))));
            }),
            hasSections && !lastMenu && react_1.default.createElement("div", { className: "px-10 text-base font-medium mb-0 border-b" }));
    }));
};
exports.HeadMenuMobileView = HeadMenuMobileView;
exports.default = exports.HeadMenuMobileView;
//# sourceMappingURL=menu-mobile.js.map