"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderMenuPosts = void 0;
var react_1 = __importDefault(require("react"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var lodash_1 = require("lodash");
var HeaderMenuPosts = function (props) {
    var data = props.data, title = props.title, moreHref = props.moreHref;
    var colorName = (0, primeobjects_helper_util_1.isNonEmptyString)(props.colorName) ? props.colorName : "sky";
    var moreText = (0, primeobjects_helper_util_1.isNonEmptyString)(props.moreText) ? props.moreText : "View all posts";
    return (react_1.default.createElement("div", { className: "px-5 py-5 bg-gray-50" },
        react_1.default.createElement("div", null,
            (0, primeobjects_helper_util_1.isNonEmptyString)(title) && react_1.default.createElement("h3", { className: "text-sm tracking-wide font-medium text-gray-500 uppercase" }, title),
            react_1.default.createElement("ul", { role: "list", className: "mt-4 space-y-4" }, (0, lodash_1.map)(data, function (item, idx) {
                if (!(0, primeobjects_helper_util_1.isNonEmptyString)(item.title)) {
                    item.title = "Need title";
                }
                return (react_1.default.createElement("li", { key: (0, primeobjects_helper_util_1.isNonEmptyString)(item.id) ? item.id : idx, className: "text-base truncate" },
                    react_1.default.createElement("a", { href: item.href, className: "font-small text-gray-900 hover:text-gray-700" }, item.title)));
            }))),
        (0, primeobjects_helper_util_1.isNonEmptyString)(moreHref) && (react_1.default.createElement("div", { className: "mt-5 text-sm" },
            react_1.default.createElement("a", { href: moreHref, className: "font-medium text-".concat(colorName, "-600 hover:text-").concat(colorName, "-500") },
                " ",
                moreText,
                " ",
                react_1.default.createElement("span", { "aria-hidden": "true" }, "\u2192"))))));
};
exports.HeaderMenuPosts = HeaderMenuPosts;
exports.default = exports.HeaderMenuPosts;
//# sourceMappingURL=menu-posts.js.map