import React from "react";
import ContentLoader from "react-content-loader";
import { observer } from "mobx-react-lite";
import { COLORS, doNothing } from "primeobjects-helper-util";
import { map } from "lodash";
export var ContentLoaderSection = observer(function (props) {
    var width = props.width, height = props.height, count = props.count, id = props.id;
    var rowHeight = height / count;
    var barHeight = rowHeight * 0.6;
    var gapHeight = rowHeight * 0.2;
    return (React.createElement("div", { style: { width: width, height: height, paddingTop: gapHeight } },
        React.createElement(ContentLoader, { uniqueKey: id, speed: props.speed ? props.speed : 2, width: width, height: height, viewBox: "0 0 ".concat(width, " ").concat(height), backgroundColor: props.backgroundColor ? props.backgroundColor : COLORS.GRAY[100], foregroundColor: props.foregroundColor ? props.foregroundColor : COLORS.GRAY[300] }, map(new Array(count), function (o, index) {
            doNothing(o);
            return React.createElement("rect", { key: index, x: "0", y: index * rowHeight, rx: barHeight * 0.3, ry: barHeight * 0.3, width: (width * (count - index)) / count, height: barHeight });
        }))));
});
export default ContentLoaderSection;
//# sourceMappingURL=content-loader.js.map