//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
// 
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { map, isArray } from 'lodash';
import HeaderMenuItems from './menu-items';
import { isNonEmptyString } from 'primeobjects-helper-util';
export var HeadMenuMobileView = function (props) {
    var navigation = props.navigation;
    return React.createElement("div", { className: "overflow-y-auto h-full" }, map(navigation, function (menu, mIdx) {
        var hasSections = isArray(menu.sections) && menu.sections.length > 0;
        var lastMenu = mIdx == navigation.length - 1;
        return React.createElement(React.Fragment, null,
            React.createElement("div", { className: "py-6 px-6 text-lg font-medium mb-0 ".concat(!(lastMenu && !hasSections) ? 'border-b' : '') }, isNonEmptyString(menu.href) ? React.createElement("a", { href: menu.href }, menu.title) : React.createElement("span", null, menu.title)),
            hasSections && map(menu.sections, function (section, sIndex) {
                return React.createElement("div", { key: "".concat(mIdx, "-").concat(sIndex), className: "pb-6 px-5 space-y-6" },
                    React.createElement("div", { className: "mt-6" },
                        React.createElement("nav", { className: "grid gap-y-8" },
                            React.createElement(HeaderMenuItems, __assign({ mobileView: true, title: section.title }, section)))));
            }),
            hasSections && !lastMenu && React.createElement("div", { className: "px-10 text-base font-medium mb-0 border-b" }));
    }));
};
export default HeadMenuMobileView;
//# sourceMappingURL=menu-mobile.js.map