var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useState } from "react";
import { isString } from "lodash";
var WRAPPER_STYLE = {
    position: "absolute",
    maxWidth: 250,
    width: "max-content",
    bottom: "100%",
    left: "50%",
    marginBottom: "10px",
    padding: "5px 8px",
    WebkitTransform: "translateX(-50%)",
    msTransform: "translateX(-50%)",
    OTransform: "translateX(-50%)",
    transform: "translateX(-50%)",
    borderRadius: 5
};
var TEXT_STYLE = {
    display: "inline",
    padding: 2,
    float: "left"
};
var ARROW_STYLE = {
    position: "absolute",
    width: "0",
    height: "0",
    bottom: "-5px",
    left: "50%",
    marginLeft: "-5px",
    borderLeft: "solid transparent 5px",
    borderRight: "solid transparent 5px"
};
export var Tooltip = function (props) {
    var title = props.title;
    var color = props.color ? props.color : "#333333";
    var textColor = props.textColor ? props.textColor : "#ffffff";
    var wrapperStyle = __assign(__assign(__assign({}, WRAPPER_STYLE), { background: color }), (props.wrapperStyle ? props.wrapperStyle : {}));
    var textStyle = __assign(__assign(__assign({}, TEXT_STYLE), { background: color, color: textColor }), (props.textStyle ? props.textStyle : {}));
    var arrowStyle = __assign(__assign({}, ARROW_STYLE), { borderTop: "solid ".concat(color, " 5px") });
    var _a = useState(false), show = _a[0], setShow = _a[1];
    return (React.createElement("div", { onMouseEnter: function () {
            setShow(true);
        }, onMouseLeave: function () {
            setShow(false);
        }, style: {
            position: "relative",
            display: "inline-block"
        } },
        props.children,
        show && (React.createElement("div", { style: wrapperStyle },
            React.createElement("div", { style: textStyle }, title ? (isString(title) ? title.trim() : title) : ""),
            React.createElement("div", { style: arrowStyle })))));
};
export default Tooltip;
//# sourceMappingURL=tooltip.js.map