import { useState, useEffect } from "react";
import { newGuid } from "primeobjects-helper-util/build/cjs/uuid";
import { getWindow, isSSR } from "primeobjects-helper-util/build/cjs/core";
import { doNothing, getCache, setCache } from "primeobjects-helper-util/build/cjs/core";
var SOURCE = "PO-USE-EVENT";
export var sendEvent = function (channel, value, settings) {
    if (isSSR())
        return console.error("Require window object.");
    var expireMinutes = settings === null || settings === void 0 ? void 0 : settings.expireMinutes;
    var senderName = settings === null || settings === void 0 ? void 0 : settings.senderName;
    setCache(channel, { value: value, senderName: senderName, id: newGuid() }, expireMinutes);
    getWindow().postMessage({ source: SOURCE, channel: channel });
};
export var useEvent = function (channel) {
    var data = getCache(channel);
    var _a = useState(""), valueRefreshed = _a[0], setValuedRefreshed = _a[1];
    var SSR = isSSR();
    doNothing(valueRefreshed);
    var messageHandler = function (message) {
        var data = message.data;
        if (data.source == SOURCE && data.channel == channel) {
            setValuedRefreshed(newGuid());
        }
    };
    useEffect(function () {
        var win = getWindow();
        if (SSR) {
            console.error("Require window object.");
        }
        else {
            if (win.addEventListener) {
                win.addEventListener("message", messageHandler);
            }
            else {
                win.attachEvent("onmessage", messageHandler);
            }
        }
        return function () {
            if (win.removeEventListener)
                win.removeEventListener("message", messageHandler);
            if (win.detachEvent)
                win.detachEvent("onmessage", messageHandler);
        };
    }, [SSR]);
    return [data === null || data === void 0 ? void 0 : data.value, data === null || data === void 0 ? void 0 : data.id];
};
//# sourceMappingURL=use-event.js.map